Support » Plugin: Charitable - Donation Plugin » WordPress Widgets no longer working after WP 5.5 upgrade

  • Resolved Scott Marlow

    (@swmarlow)


    After WP 5.5 upgrade, Widgets can no longer be added to Widget Areas while Charitable Plugins are activated. I’ve verified that Widgets can be added by deactivating all Charitable Plugins. Site is running PHP 7.3.
    Please advise.

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Eric Daams

    (@ericdaams)

    Hi @swmarlow,

    Sorry to hear you’re getting errors with widgets. I haven’t been able to reproduce this. Which Charitable extensions do you have installed?

    In the meantime, the following plugin may resolve the problem:

    https://wordpress.org/plugins/enable-jquery-migrate-helper/

    Cheers,
    Eric

    Thread Starter Scott Marlow

    (@swmarlow)

    Thanks, Eric.

    Restoring jQuery Migrate via the Plugin does resolve the issue. Do you plan to update your jQuery library for Charitable?

    Here are the 4 Charitable Plugins that may have contributed to Widgets not being editable:

    Charitable Ambassadors
    Charitable Recurring Donations
    Charitable Stripe Payment Gateway
    Charitable User Avatar

    I also had an issue with WPBakery Page Builder (may or may not be necessary) and Advanced Custom Fields (might be the key piece) where the page edit screen would encounter a fatal JS error due to jQuery UI being undefined when Advanced Custom Fields tried to load the timepicker addon JS.

    Deactivating Charitable resolved the issue, and re-enabling Charitable had the issue resurface.

    I then installed https://wordpress.org/plugins/enable-jquery-migrate-helper/, as mentioned, and it went back to working with Charitable & ACF enabled on the site at the same time.

    Not sure of the exact cause/conflict, but I imagine this is something that shouldn’t need an additional plugin to have things work properly.

    Oddly, this is the only thing Enable jQuery Migrate Helper output on these pages (“odd” since this warning is present on pages where the fatal JS error wasn’t happening):

    
    jQuery Migrate Helper — Warnings encountered
    
    This page generated the following warnings:
    /wp-content/plugins/better-font-awesome/vendor/mickey-kay/better-font-awesome-library/js/admin.js: 'ready' event is deprecated
    Please make sure you are using the latest version of all of your plugins, and your theme. If you are, you may want to ask the developers of the code mentioned in the warnings for an update.
    
    Plugin Author Eric Daams

    (@ericdaams)

    Hey @kzeni and @swmarlow,

    We released an update today that fixes a couple Javascript-related issues with Charitable. Charitable wasn’t using out of date jQuery techniques, but we were using the jquery-core library in WordPress (instead of the more commonly used jquery). It looks like jquery-core was removed in WP 5.5, which is why this started causing problems in a few different places, where Charitable’s scripts were loading before the jQuery library.

    Cheers,
    Eric

    That makes sense based on what I was seeing. Thanks for getting it resolved and letting us know! 🙂

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘WordPress Widgets no longer working after WP 5.5 upgrade’ is closed to new replies.